Résolu le 20-06-19 dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème

Assistance concernant Linux Mint
Répondre
camelman123
Messages : 4
Enregistré le : mer. 19 juin 2019 23:22

dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème

Message par camelman123 » mer. 19 juin 2019 23:30

Bonsoir à tous les copains du forum,
Après une longue mise à jour de mon Linux Mint tessa, ce jour même, j'ai un message disant: E: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.
E: _cache->open() failed, please report.

Merci de bien vouloir m'aider car je ne sais pas quoi faire et là sur l'icone de mise à jour j'ai une croix rouge !

Amitiés à tous et merci d'avance

Rick
Modifié en dernier par zeb le jeu. 20 juin 2019 22:49, modifié 1 fois.
Raison : modif du titre et resolu...

Avatar du membre
alain
Messages : 6148
Enregistré le : dim. 11 oct. 2015 23:41
Localisation : Chelles
Contact :

Re: Après une longue mise à jour, j'ai un message d'erreur ????

Message par alain » jeu. 20 juin 2019 01:06

Bonjour Rick

Ben il te le dit, quoi faire:
camelman123 a écrit :
mer. 19 juin 2019 23:30
Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.
Donc tu entres:

Code : Tout sélectionner

sudo dpkg --configure -a
Et au cas ou ça ne fonctionnerai pas tu copies le retour ici (entre balises code le retour).
In a world without walls and fences, who needs windows and gates?
Image
Taille réelle : https://www.fflmpics.fr/images/2019/05/ ... iere09.png

Avatar du membre
tyrry
Messages : 4558
Enregistré le : mar. 21 juil. 2015 07:42
Localisation : à l'ouest

Re: Après une longue mise à jour, j'ai un message d'erreur ????

Message par tyrry » jeu. 20 juin 2019 19:25

Slt ,
et j'ajouterai :

Code : Tout sélectionner

sudo apt update && sudo apt install -f
@+
Desktop: XFCE (Gtk 2.24.32) (Gtk 3.22.30) Distro: Mint 19.1 (Tessa)
Kernel: 4.15.0-46-generic x86_64 SSD:Samsung_SSD_860 evo
CPU: Intel Core i3-2130 RAM: -8 go Graphics Card: Intel 2nd Gen Core Proc Sandybridge

Avatar du membre
zeb
Administrateur du site
Messages : 14566
Enregistré le : ven. 19 juin 2015 22:13
Localisation : Au pays du mistral

Re: Après une longue mise à jour, j'ai un message d'erreur ????

Message par zeb » jeu. 20 juin 2019 19:32

Bonjour,
Oui, toujours lire les messages d'erreur ;)
Par contre, le titre, ca va pas le faire :roll:
Merci de le modifier pour un titre qui veut dire quelque chose !
LMDE3 Cinnamon 64-bit + LMDE3 Xfce.
Proc: intel I5 4440, Cm: Gigabyte GA-B85M-D3H, Alim: Corsair CX Bronze 430 W, Ram: Crucial Ballistix Sport, 2 x 2 Go.
SSD: 2.5 sandisk ultra+ 64 Go pour /+home, DD: Seagate Barracuda 500 Go pour mes données persos, DD maxtor 160 Go pour la sauvegarde ciblée via luckybackup.
Impr: HP Envy 4502.

camelman123
Messages : 4
Enregistré le : mer. 19 juin 2019 23:22

Re: Après une longue mise à jour, j'ai un message d'erreur ????

Message par camelman123 » jeu. 20 juin 2019 22:41

Tout d'abord un grand et très sincère merci à Alain et à Tyrry pour vos aimables interventions qui m'ont permis de sortir mon Linux Mint de la mouise ! Ça a marché du premier coup; bravo vous êtes des pros les copains.
Je ne suis pas ce qu'on appelle un geek pour utiliser le terme consacré, et je me suis mis (façon de parler) sur linux depuis un peu plus de 2 mois et ce n'est pas évident: surtout avec mes 70 balais depuis le 17 juin.
Pardonnez aussi le titre qui a heurté Zeb, et qui peut prêter à confusion; je ne savais pas trop comment titrer le post. Pour ce qui est de lire le message d'erreur, je l'ai bien fait mais je ne savais pas quoi en faire de ces messages.
J'apprendrai avec l'usage et l'aide d'aimables personnes comme vous.
Merci encore et de tout cœur pour votre aide.
Bien cordialement,
Rick

Avatar du membre
zeb
Administrateur du site
Messages : 14566
Enregistré le : ven. 19 juin 2015 22:13
Localisation : Au pays du mistral

Re: Après une longue mise à jour, j'ai un message d'erreur ????

Message par zeb » jeu. 20 juin 2019 22:48

camelman123 a écrit :
jeu. 20 juin 2019 22:41
Pardonnez aussi le titre qui a heurté Zeb, et qui peut prêter à confusion
Bien plus meme, faut aussi penser a ceux qui cherchent des solutions sans demander, c'est aussi les aider a trouver que d'avoir un titre "correcte" .

Je vais le modifier ce titre ...
LMDE3 Cinnamon 64-bit + LMDE3 Xfce.
Proc: intel I5 4440, Cm: Gigabyte GA-B85M-D3H, Alim: Corsair CX Bronze 430 W, Ram: Crucial Ballistix Sport, 2 x 2 Go.
SSD: 2.5 sandisk ultra+ 64 Go pour /+home, DD: Seagate Barracuda 500 Go pour mes données persos, DD maxtor 160 Go pour la sauvegarde ciblée via luckybackup.
Impr: HP Envy 4502.

camelman123
Messages : 4
Enregistré le : mer. 19 juin 2019 23:22

Re: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème

Message par camelman123 » jeu. 20 juin 2019 23:59

Merci zeb !
Au fait, pourriez-vous svp m'indiquer comment afficher que le problème a bien été résolu.
Crdlt

Avatar du membre
arghlub
modérateur
Messages : 6172
Enregistré le : dim. 21 mai 2017 08:19
Localisation : Provence
Contact :

Re: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème

Message par arghlub » ven. 21 juin 2019 14:19

Salut camelman,
camelman123 a écrit :
jeu. 20 juin 2019 23:59
Au fait, pourriez-vous svp m'indiquer comment afficher que le problème a bien été résolu.
en fait, zeb a mis le "résolu" à ta place :
Image
Mais il vaut mieux que tu le fasses par toi-même les prochaines fois (le chef et les modos sont des fainéants :l :D).
Pour cela il suffit que tu modifies l'attribut du sujet, c'est très simple : voir tuto ici
;)
Tour (custom)CM MSI Z270 M3 | CPU Intel I7-7700K | CG Nvidia GTX 1080 | RAM 16Go DDR4 3GHz | tripleBoot : Debian 9 | MXlinux | LMint 19.1 Tessa | XFCE
Portable Lenovo G50-80 (boosté RAM+SSD) | CPU Intel I3-4005U | RAM 8Go | tripleBoot avec “/data” commune : LMint 18.3 Sylvia | MXlinux | LMint 19.1 | XFCE
+ autres PCs + RaspberryPis + VMs ...
─────( pour une informatique libre ! -membre de l' April.org )────────────────

camelman123
Messages : 4
Enregistré le : mer. 19 juin 2019 23:22

Re: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème

Message par camelman123 » ven. 21 juin 2019 15:06

Un grand merci à zeb d'avoir procéder à l'ajout du "résolu" et au lien vers le tuto.
Merci aussi à vous arghlub pour votre aide.
Bonne journée à tous les copains de ce sympathique forum.
Rick

Répondre